Module

com.uva.rafael.tfg_goniometer.dependencyInjection

## Class Module

- java.lang.Object
- - com.uva.rafael.tfg_goniometer.dependencyInjection.Module

-     class Module
      extends java.lang.Object

  Esta clase es un Modulo (segun la terminologia de la biblioteca Dagger 2), indicado mediante la etiqueta `Module` en la definicion de la misma.

  Se encarga de proveer tanto a la `Activity` principal (`MainActivity`) como a los `Fragment` que forman la aplicacion todas las instancias necesarias para que funcionen estas clases.

  En este caso en concreto, se emplea para proveer a todas las clases que forman la Vista de la aplicacion, de la instancia de su clase Presentador asociado. De esta manera, se logra eliminar la responsabilidad de crear la instancia del Presentador a la Vista, con el fin de cumplir con el patron arquitectonico empleado para el desarrollo de esta aplicacion (Modelo-Vista-Presentador).

  Esta clase forma parte de la aplicacion TFG-Goniometer, desarrollada para el Trabajo de Fin de Grado - Grado en Ingenieria Informatica (Universidad de Valladolid)

  Version:
    1.0
  Author:
    Rafael Matamoros Luque
  See Also:
    `Component`, `App`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Module(android.app.Activity activity)`
    `Module(android.app.Fragment fragment)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) HomePresenter` | `providesHomePresenter()`
    `(package private) MainPresenter` | `providesMainPresenter()`
    `(package private) MedicionPresenter` | `providesMedicionPresenter()`
    `(package private) NuevaMedicionPresenter` | `providesNuevaMedicionPresenter()`
    `(package private) NuevoPacientePresenter` | `providesNuevoPacientePresenter()`
    `(package private) PacientesPresenter` | `providesPacientesPresenter()`
    `(package private) PerfilPacientePresenter` | `providesPerfilPacientePresenter()`
    `(package private) SobreAppPresenter` | `providesSobreAppPresenter()`
    `(package private) UltimasMedicionesPresenter` | `providesUltimasMedicionesPresenter()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Module

          Module(android.app.Activity activity)

    - #### Module

          Module(android.app.Fragment fragment)

  - ### Method Detail

    - #### providesMainPresenter

          @Provides
          MainPresenter providesMainPresenter()

    - #### providesHomePresenter

          @Provides
          HomePresenter providesHomePresenter()

    - #### providesMedicionPresenter

          @Provides
          MedicionPresenter providesMedicionPresenter()

    - #### providesNuevoPacientePresenter

          @Provides
          NuevoPacientePresenter providesNuevoPacientePresenter()

    - #### providesPacientesPresenter

          @Provides
          PacientesPresenter providesPacientesPresenter()

    - #### providesPerfilPacientePresenter

          @Provides
          PerfilPacientePresenter providesPerfilPacientePresenter()

    - #### providesNuevaMedicionPresenter

          @Provides
          NuevaMedicionPresenter providesNuevaMedicionPresenter()

    - #### providesUltimasMedicionesPresenter

          @Provides
          UltimasMedicionesPresenter providesUltimasMedicionesPresenter()

    - #### providesSobreAppPresenter

          @Provides
          SobreAppPresenter providesSobreAppPresenter()